#!/bin/sh

INTERFACE="$1"

DHCP_CONF="/etc/dnsmasq.d/abos_web_dhcp_$INTERFACE.conf"

if [ -e "$DHCP_CONF" ]; then
	info=$(/sbin/ip -o -4 addr list "$INTERFACE" 2> /dev/null | awk '{print $4}')
	info="$info,$(awk '$1 == "dhcp-range=tag:'$INTERFACE'," { print $2,$3,$4 }' $DHCP_CONF)"
fi

# bridge_addr/netmask,start_addr,end_addr,lease_time
printf "%s" "$info"
